Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Interface HttpSessionAttributeListener

All Superinterfaces:
  java.util.EventListener

public interface HttpSessionAttributeListener
extends java.util.EventListener

This listener interface can be implemented in order to get notifications of changes to the attribute lists of sessions within this web application.

Since:
  v 2.3

Method Summary
`void` | `attributeAdded(HttpSessionBindingEvent se)` Notification that an attribute has been added to a session.
`void` | `attributeRemoved(HttpSessionBindingEvent se)` Notification that an attribute has been removed from a session.
`void` | `attributeReplaced(HttpSessionBindingEvent se)` Notification that an attribute has been replaced in a session.

Method Detail

### attributeAdded

    public void attributeAdded(HttpSessionBindingEvent se)

  Notification that an attribute has been added to a session. Called after the attribute is added.

### attributeRemoved

    public void attributeRemoved(HttpSessionBindingEvent se)

  Notification that an attribute has been removed from a session. Called after the attribute is removed.

### attributeReplaced

    public void attributeReplaced(HttpSessionBindingEvent se)

  Notification that an attribute has been replaced in a session. Called after the attribute is replaced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.